#!/usr/bin/env node

const fs = require('fs');
const pdf2img = require('pdf-img-convert');

const __main__ = function () {
    let file = process.argv[2];
    if (!file.endsWith('.pdf')) {
        console.log('文件不是PDF格式！');
        process.exit(1);
    } else {
        let filename = ''
        let savepath = ''
        if(file.includes('\\')){
            let index = file.lastIndexOf('\\');
            filename = file.substring(index+1, file.length);
            savepath = file.substring(0, index)
        } else if(file.includes('/')){
            let index = file.lastIndexOf('/');
            filename = file.substring(index+1, file.length);
            savepath = file.substring(0, index)
        } else {
            filename = file
            savepath = '.'
        }
        filename = filename.replace('.pdf', '')

        console.log(filename, savepath);

        // return 

        var outputImages = pdf2img.convert(file);
        fs.mkdirSync(`${savepath}/${filename}`)
        outputImages.then(function (outputImages) {
            for (i = 0; i < outputImages.length; i++)
                fs.writeFile(`${savepath}/${filename}/${filename}${i}.png`, outputImages[i], function (error) {
                    if (error) {
                        console.error("Error: " + error);
                    }
                });
        });
    }
}

__main__();